## pptp-extras-1.4.0.tar.gz

=== Makefile ===
VERSION=1.4.0
RELEASE=
PACKAGE=pptp-extras

BINDIR=$(DESTDIR)/usr/sbin/
PPPDIR=$(DESTDIR)/etc/ppp/
DOCDIR=$(DESTDIR)/usr/share/doc/$(PACKAGE)/

all:

clean:

distclean: 

install:
# install sequence for pptp-command
	mkdir -p $(BINDIR) $(PPPDIR) $(DOCDIR)
	cp pptp-command $(BINDIR)/
	cp options.pptp $(PPPDIR)/
	cp ChangeLog $(DOCDIR)/
# install sequence for pptp-php-gtk
	(cd pptp-php-gtk;make install DESTDIR=$(DESTDIR))
# install sequence for other available components to be provided by their
# authors, packagers or other interested parties.

dist: distclean
	rm -f $(PACKAGE)-$(VERSION)$(RELEASE).tar.gz
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp --recursive ChangeLog pptp-command pptp_traffic_applet pptp_fe.pl xpptp_fe.pl options.pptp Makefile pptp-php-gtk \
	$(PACKAGE)-$(VERSION)/
	tar czf $(PACKAGE)-$(VERSION)$(RELEASE).tar.gz $(PACKAGE)-$(VERSION)
	rm -f -r $(PACKAGE)-$(VERSION)
	md5sum $(PACKAGE)-$(VERSION)$(RELEASE).tar.gz

=== pptp-php-gtk/Makefile ===
VERSION=20030731
PACKAGE=pptp-php-gtk
RELEASE=

all:
	exit 0

distclean:
	exit 0

dist:
	rm -f $(PACKAGE)-$(VERSION).tar.gz
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp *.php *.xml ChangeLog Makefile *.spec *.desk* $(PACKAGE)-$(VERSION)/
	cp AUTHORS COPYING DEVELOPERS NEWS README TODO $(PACKAGE)-$(VERSION)/
	mkdir $(PACKAGE)-$(VERSION)/pixmaps
	cp pixmaps/*.xpm $(PACKAGE)-$(VERSION)/pixmaps/
	tar czf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -f -r $(PACKAGE)-$(VERSION)
	md5sum $(PACKAGE)-$(VERSION).tar.gz

install:
	mkdir -p $(DESTDIR)/etc/pptp-php-gtk
	mkdir -p $(DESTDIR)/usr/lib/pptp-php-gtk
	mkdir -p $(DESTDIR)/usr/bin
	cp pptp-php-gtk.xml $(DESTDIR)/usr/lib/pptp-php-gtk/
	cp pptp-php-gtk.php $(DESTDIR)/usr/bin/
	cp -r pixmaps/*.xpm $(DESTDIR)/usr/lib/pptp-php-gtk/
	(cd $(DESTDIR)/usr/bin/;ln -sf pptp-php-gtk.php pptpconfig)
	mkdir -p $(DESTDIR)/usr/share/applications
	cp pptp-php-gtk.desktop $(DESTDIR)/usr/share/applications/

RPM_SOURCES=/usr/src/rpm/SOURCES
RPM_RPMS=/usr/src/rpm/RPMS
RPM_SRPMS=/usr/src/rpm/SRPMS
rpm:
	cp $(PACKAGE)-$(VERSION).tar.gz $(RPM_SOURCES)/
	cp pptp-php-gtk-20030107.patch $(RPM_SOURCES)/
	fakeroot rpmbuild -ba pptp-php-gtk.spec
	rm $(RPM_SOURCES)/$(PACKAGE)-$(VERSION).tar.gz
	rm -rf $(RPM_SOURCES)/BUILD/$(PACKAGE)-$(VERSION)
	cp $(RPM_RPMS)/i386/pptp-php-gtk-${VERSION}-${RELEASE}.i386.rpm ./
	rm $(RPM_RPMS)/i386/pptp-php-gtk-${VERSION}-${RELEASE}.i386.rpm
	rm $(RPM_SRPMS)/pptp-php-gtk-${VERSION}-${RELEASE}.src.rpm

rpm-to-deb:
	fakeroot alien pptp-php-gtk-${VERSION}-${RELEASE}.i386.rpm

=== pptp_traffic_applet/Makefile ===
install::
	cp pptp_traffic_applet /usr/bin
	cp pptp_traffic_applet.desktop /usr/share/gnome/apps/Internet
	cp pptp_traffic.xpm /usr/share/pixmaps

=== pptp-php-gtk/debian/control ===
Source: pptp-php-gtk
Maintainer: none
Section: net
Priority: optional
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: pptp-php-gtk
Architecture: any
Depends: ppp >= 2.4.2, pptp-linux >= 1.2.0
Description: Point-to-Point Tunneling Protocol (PPTP) Client GUI
 GUI for the PPTP Client

=== pptp-php-gtk/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the package into debian/<packagename>
	-$(MAKE) install DESTDIR=`pwd`/debian/`dh_listpackages`


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs debian/copyright \
	TODO AUTHORS DEVELOPERS NEWS README debian/README.Debian
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/pptpconfig.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
